Rename Application Snapshot (v2)
This REST API renames a snapshot in Oracle Fusion Cloud Enterprise Performance Management instances to a desired name. This gives you flexibility in naming your snapshots.
Required Roles
Service Administrator
Any predefined role and the Migrations – Administer granular role
REST Resource
PUT /interop/rest/v2/snapshots/rename
Request
Supported Media Types: application/json
Table 9-67 Parameters
| Name | Description | Type | Required | Default |
|---|---|---|---|---|
snapshotName |
The name of the snapshot to be renamed. | Payload | Yes | None |
newSnapshotName |
The desired name of the existing snapshot. | Payload | Yes | None |
Example URL and Payload
https://<BASE-URL>/interop/rest/v2/snapshots/rename
{
"snapshotName": "Artifact Snapshot",
"newSnapshotName": "Backup_snapshot"
}
Response
Supported Media Types: application/json
Parameters:
Table 9-68 Parameters
| Name | Description |
|---|---|
details |
In the case of errors, details are published with the error string |
status |
See Migration Status Codes |
links |
Detailed information about the link |
href |
Links to API call or status API |
action |
The HTTP call type |
rel |
Possible values: self or Job
Status. If the value is set to Job
Status, you can use the href to get the status
|
data |
null |
Example of Response Body
{
"details": null,
"status": 0,
"links": [
{
"href": "https://<BASE-URL>/interop/rest/v2/snapshots/rename",
"action": "PUT",
"rel": "self",
"data": null
}
]
}
Sample cURL Command
curl -X PUT -s -u '<USERNAME>:<PASSWORD>' -o response.txt -D respHeader.txt -H
'Content-Type: application/json' -d '{"snapshotName":"<ARTIFACT-SNAPSHOT>","newSnapshotName" :
"<NEW-SNAPSHOT-NAME>"}''https://<BASE-URL>/interop/rest/v2/snapshots/rename'